<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class EncryptedPairingRequest extends \Google\Protobuf\Internal\Message
{
    


    protected $encryptedPayload = null;
    


    protected $iv = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getEncryptedPayload()
    {
        return isset($this->encryptedPayload) ? $this->encryptedPayload : '';
    }

    public function hasEncryptedPayload()
    {
        return isset($this->encryptedPayload);
    }

    public function clearEncryptedPayload()
    {
        unset($this->encryptedPayload);
    }

    




    public function setEncryptedPayload($var)
    {
        GPBUtil::checkString($var, False);
        $this->encryptedPayload = $var;

        return $this;
    }

    



    public function getIv()
    {
        return isset($this->iv) ? $this->iv : '';
    }

    public function hasIv()
    {
        return isset($this->iv);
    }

    public function clearIv()
    {
        unset($this->iv);
    }

    




    public function setIv($var)
    {
        GPBUtil::checkString($var, False);
        $this->iv = $var;

        return $this;
    }

}

